import Vue from 'vue'
import VueRouter from 'vue-router'
// import login from '../views/login'
import home from '../views/home'
import makerActvity from '../views/makerActvity'
import makerActvityDetails from '../views/makerActvityDetails'


import projectApplication from '../views/projectApplication'
import projectApplicationDetails from '../views/projectApplicationDetails'
import projectApplication2 from '../views/projectApplication2'


import credit from '../views/credit'
import firm from '../views/firm'
import makerfund from '../views/makerfund'
import makerfundApply from '../views/makerfundApply'
import makerfundDetails from '../views/makerfundDetails'

import messageNotification from '../views/messageNotification'
import ProjectManagement from '../views/ProjectManagement'
import ProjectManagement1 from '../views/ProjectManagement1'
import ProjectManagement2 from '../views/ProjectManagement2'
import ProjectManagement3 from '../views/ProjectManagement3'
import ProjectManagement4 from '../views/ProjectManagement4'
import ProjectManagement5 from '../views/ProjectManagement5'
import ProjectManagementFund1 from '../views/ProjectManagementFund1'
import ProjectManagementFund2 from '../views/ProjectManagementFund2'


import projectSettlement from '../views/projectSettlement'
import projectSettlement1 from '../views/projectSettlement1'
import projectSettlement2 from '../views/projectSettlement2'

import resultsShow from '../views/resultsShow'


import credit1 from '../views/credit1'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    redirect:'/projectApplication'
  },
  {
    name:'login',
    path:'/login',
    component:()=>import('../views/login.vue'),
    meta:{isAuth:false}
  },
  {  //项目立项申请
    name:"projectApplicationApplyMain",
    path:"/projectApplicationApplyMain",
    component:()=>import('../views/projectApplicationApplyMain'),
    meta:{isAuth:true}
  },
  {  //活动管理
    name:"makerActvityApplyMain",
    path:"/makerActvityApplyMain",
    component:()=>import('../views/makerActvityApplyMain.vue'),
    meta:{isAuth:true}
  },
 
  { //成果展示
    name:'resultShowDetail',
    path:'/resultShowDetail',
    component:()=>import('@/views/resultShowDetail.vue'),
    meta:{isAuth:true}

  },
  {
    name:'home',
    path:'/home',
    component:home,
    meta:{isAuth:true},

    children:[
      { //创客活动
        name:'makerActvity',
        path:'/makerActvity',
        component:makerActvity,
        meta:{isAuth:true}

      },
      { //创客活动详情
        name:'makerActvityDetails',
        path:'/makerActvityDetails',
        component:makerActvityDetails,
        meta:{isAuth:true}
      },
      { //项目立项申请
        name:'projectApplication',
        path:'/projectApplication',
        component:projectApplication,
        meta:{isAuth:true}

      },
      {
        name:'projectApplicationDetails',
        path:'/projectApplicationDetails',
        component:projectApplicationDetails,
        meta:{isAuth:true}

      },
      {
        name:'projectApplication2',
        path:'/projectApplication2',
        component:projectApplication2,
        meta:{isAuth:true}

      },
      { //学分登记
        name:'credit',
        path:'/credit',
        component:credit,
        meta:{isAuth:true}

      },
      { //学分登记
        name:'credit1',
        path:'/credit1',
        component:credit1,
        meta:{isAuth:true}

      },
      { //创业公司登记
        name:'firm',
        path:'/firm',
        component:firm,
        meta:{isAuth:true}

      },
      { //创客资金
        name:'makerfund',
        path:'/makerfund',
        component:makerfund,
        meta:{isAuth:true}

      },
      { //创客资金
        name:'makerfundApply',
        path:'/makerfundApply',
        component:makerfundApply,
        meta:{isAuth:true}

      },
      { //创客资金
        name:'makerfundDetails',
        path:'/makerfundDetails',
        component:makerfundDetails,
        meta:{isAuth:true}

      },
      { //消息通知
        name:'messageNotification',
        path:'/messageNotification',
        component:messageNotification,
        meta:{isAuth:true}

      },
      { //项目管理
        name:'ProjectManagement',
        path:'/ProjectManagement',
        component:ProjectManagement,
        meta:{isAuth:true}

      },
      { //项目管理
        name:'ProjectManagement2',
        path:'/ProjectManagement2',
        component:ProjectManagement2,
        meta:{isAuth:true}

      },
      { //项目管理
        name:'ProjectManagement3',
        path:'/ProjectManagement3',
        component:ProjectManagement3,
        meta:{isAuth:true}

      },
      { //项目管理
        name:'ProjectManagement4',
        path:'/ProjectManagement4',
        component:ProjectManagement4,
        meta:{isAuth:true}
      },
      {
        name:'ProjectManagement3_1',
        path:'/ProjectManagement3_1',
        component:()=>import("../views/ProjectManagement3_1.vue"),
        meta:{isAuth:true}
      },
      { //项目管理
        name:'ProjectManagement5',
        path:'/ProjectManagement5',
        component:ProjectManagement5,
        meta:{isAuth:true}

      },
      { //项目管理
        name:'ProjectManagement1',
        path:'/ProjectManagement1',
        component:ProjectManagement1,
        meta:{isAuth:true}

      },
      { //项目资金管理
        name:'ProjectManagementFund1',
        path:'/ProjectManagementFund1',
        component:ProjectManagementFund1,
        meta:{isAuth:true}

      },
      { //项目资金管理
        name:'ProjectManagementFund2',
        path:'/ProjectManagementFund2',
        component:ProjectManagementFund2,
        meta:{isAuth:true}

      },
      { //项目结项
        name:'projectSettlement',
        path:'/projectSettlement',
        component:projectSettlement,
        meta:{isAuth:true}

      },
      { //项目结项
        name:'projectSettlement1',
        path:'/projectSettlement1',
        component:projectSettlement1,
        meta:{isAuth:true}

      },
      { //项目结项
        name:'projectSettlement2',
        path:'/projectSettlement2',
        component:projectSettlement2,
        meta:{isAuth:true}

      },
      { //成果展示
        name:'resultsShow',
        path:'/resultsShow',
        component:resultsShow,
        meta:{isAuth:true}

      },
      
    ]
  }
]

const router = new VueRouter({
  routes,
})

// router.beforeEach((to,from,next)=>{
//     if(to.meta.isAuth){
//       if(localStorage.getItem('isAuth') === "true"){
//         next();
//       }else{
//         return next('/login')
//       }
//     }else{
//       next()
//     }
//   }
// )
// router.beforeEach(function(to, from, next) {
//   if (to.meta.isAuth) {
//     //页面是否登录
//     if (localStorage.getItem("token")) {
//       //本地存储中是否有token(uid)数据
//       next(); //表示已经登录
//     } else {
//       //next可以传递一个路由对象作为参数 表示需要跳转到的页面
//       next({
//         name: "login"
//       });
//     }
//   } else {
//     //表示不需要登录
//     next(); //继续往后走
//   }
// });

export default router
